
package org.jeecg.modules.workFlow.flowlong.engine.scheduling;

/**
 * 任务执行锁接口
 *

 */
public interface JobLock {

    /**
     * 进入锁（获取锁），立即返回，不会阻塞等待锁
     *
     * @return true 获取到锁 false 未获取到锁
     */
    boolean tryLock();

    /**
     * 解除锁
     */
    void unlock();
}
